View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0013484ParaView(No Category)public2012-09-28 17:282013-02-11 16:02
ReporterBurlen 
Assigned ToBurlen 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Versiongit-next 
Target VersionFixed in Version3.98.0 
Summary0013484: sqtk-intel paths
DescriptionWhen building with the intel compilers , setting CMAKE_CXX/C_COMPILER, the path to intel's xmm intrinsics is not automatically included. The user currently has to set EXTRA_INTEL_INCLUDES, which is confusing. It should be added automatically during the paraview build.
TagsNo tags attached.
ProjectTBD
Topic Name0013484_sqtk-intel_paths
Typeincorrect functionality
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0029313)
Burlen (developer)
2012-10-01 13:35

This is resolved the best we can do for now. Intel compiler seems to find gcc's intrinsics before it's own, which will cause builds issues if they are not compatible. I added some cmake code to find intel's intrinsics automatically. The user may still need to point cmake to the intel intrinsics, if our cmake code fails to locate them.
(0029331)
Utkarsh Ayachit (administrator)
2012-10-05 10:13

merged into master, if applicable.

- Issue History
Date Modified Username Field Change
2012-09-28 17:28 Burlen New Issue
2012-09-28 17:28 Burlen Assigned To => Burlen
2012-10-01 13:35 Burlen Topic Name => 0013484_sqtk-intel_paths
2012-10-01 13:35 Burlen Note Added: 0029313
2012-10-01 13:35 Burlen Status backlog => gatekeeper review
2012-10-01 13:35 Burlen Fixed in Version => git-next
2012-10-01 13:35 Burlen Resolution open => fixed
2012-10-05 10:12 Utkarsh Ayachit Fixed in Version git-next => git-master
2012-10-05 10:13 Utkarsh Ayachit Status gatekeeper review => customer review
2012-10-05 10:13 Utkarsh Ayachit Note Added: 0029331
2012-10-29 17:04 Utkarsh Ayachit Fixed in Version git-master => 3.98.0
2013-02-11 16:02 Utkarsh Ayachit Status customer review => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker